Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
[Java] Class Preferences

    java.lang.Object
      org.codehaus.groovy.tools.shell.util.Preferences

    public class Preferences
    extends Object

Container for shell preferences.

Authors:
  Jason Dillon

Version:
  \$Id: Preferences.java 12278 2008-05-04 12:00:38Z user57 \$

Field Summary
`static def` | `verbosity`

Method Summary
`static void` | `addChangeListener(PreferenceChangeListener listener)`
`static void` | `clear()`
`static String` | `get(String name, String defaultValue)`
`static String` | `get(String name)`
`static String` | `getEditor()`
`static String` | `getParserFlavor()`
`static boolean` | `getSanitizeStackTrace()`
`static boolean` | `getShowLastResult()`
`static String[]` | `keys()`
`static void` | `put(String name, String value)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### verbosity

    public static def verbosity

Method Detail

### addChangeListener

    public static void addChangeListener(PreferenceChangeListener listener)

### clear

    public static void clear()

### get

    public static String get(String name, String defaultValue)

### get

    public static String get(String name)

### getEditor

    public static String getEditor()

### getParserFlavor

    public static String getParserFlavor()

### getSanitizeStackTrace

    public static boolean getSanitizeStackTrace()

### getShowLastResult

    public static boolean getShowLastResult()

### keys

    public static String[] keys()

### put

    public static void put(String name, String value)

Copyright © 2003-2010 The Codehaus. All rights reserved.